Bug 1991146 - Review Request: rust-hyperlocal - Hyper bindings for Unix domain sockets
Summary: Review Request: rust-hyperlocal - Hyper bindings for Unix domain sockets
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabio Valentini
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-07 16:16 UTC by Davide Cavalca
Modified: 2022-08-25 16:43 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-08-17 14:22:52 UTC
Type: ---
decathorpe: fedora-review+


Attachments (Terms of Use)

Description Davide Cavalca 2021-08-07 16:16:07 UTC
Spec URL: https://dcavalca.fedorapeople.org/review/rust-hyperlocal/rust-hyperlocal.spec
SRPM URL: https://dcavalca.fedorapeople.org/review/rust-hyperlocal/rust-hyperlocal-0.8.0-1.fc35.src.rpm

Description:
Hyper bindings for Unix domain sockets.

Fedora Account System Username: dcavalca

Comment 1 Davide Cavalca 2021-08-07 16:16:09 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=73453162

Comment 2 Fabio Valentini 2022-04-30 09:44:54 UTC
Are you still interested in packaging this crate?
If yes, please refresh the packaging with rust2rpm 21.

Comment 4 Fabio Valentini 2022-08-17 09:25:20 UTC
Thanks, looks good to me!

===

Package was generated with rust2rpm, simplifying the review.

- package builds and installs without errors on rawhide
- test suite is run and all unit tests pass
- latest version of the crate is packaged
- license matches upstream specification (MIT) and is acceptable for Fedora
- license file is included with %license in %files
- package complies with Rust Packaging Guidelines

Package APPROVED.

===

Recommended post-import rust-sig tasks:

- add @rust-sig with "commit" access as package co-maintainer

- set bugzilla assignee overrides to @rust-sig (optional)

- set up package on release-monitoring.org:
  project: $crate
  homepage: https://crates.io/crates/$crate
  backend: crates.io
  version scheme: semantic
  version filter: alpha;beta;rc;pre
  distro: Fedora
  Package: rust-$crate

- track package in koschei for all built branches

Comment 5 Davide Cavalca 2022-08-17 11:23:15 UTC
$ fedpkg request-repo rust-hyperlocal 1991146
https://pagure.io/releng/fedora-scm-requests/issue/46475
$ fedpkg request-branch --repo rust-hyperlocal f37
https://pagure.io/releng/fedora-scm-requests/issue/46476
$ fedpkg request-branch --repo rust-hyperlocal f36
https://pagure.io/releng/fedora-scm-requests/issue/46477
$ fedpkg request-branch --repo rust-hyperlocal f35
https://pagure.io/releng/fedora-scm-requests/issue/46479

Comment 6 Gwyn Ciesla 2022-08-17 13:19:59 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/rust-hyperlocal

Comment 7 Fedora Update System 2022-08-17 14:20:13 UTC
FEDORA-2022-e82e18c133 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2022-e82e18c133

Comment 8 Fedora Update System 2022-08-17 14:22:52 UTC
FEDORA-2022-e82e18c133 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2022-08-17 14:34:06 UTC
FEDORA-2022-3df275ba59 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-3df275ba59

Comment 10 Fedora Update System 2022-08-17 14:40:57 UTC
FEDORA-2022-3df275ba59 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2022-08-17 14:52:23 UTC
FEDORA-2022-62909c3244 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-62909c3244

Comment 12 Fedora Update System 2022-08-17 15:22:22 UTC
FEDORA-2022-485d3316b1 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-485d3316b1

Comment 13 Fedora Update System 2022-08-18 02:55:31 UTC
FEDORA-2022-62909c3244 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-62909c3244 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-62909c3244

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2022-08-18 03:30:43 UTC
FEDORA-2022-485d3316b1 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-485d3316b1 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-485d3316b1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2022-08-25 16:17:56 UTC
FEDORA-2022-485d3316b1 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2022-08-25 16:43:06 UTC
FEDORA-2022-62909c3244 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.